io.vertx.core.net

## Interface SelfSignedCertificate

-     public interface SelfSignedCertificate

  A self-signed certificate helper for testing and development purposes.

  While it helps for testing and development, it should never ever be used in production settings.

  Author:
    Julien Ponge

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `certificatePath()` Filesystem path to the X.509 certificate file in PEM format .
    `static SelfSignedCertificate` | `create()` Create a new `SelfSignedCertificate` instance.
    `static SelfSignedCertificate` | `create(String fqdn)` Create a new `SelfSignedCertificate` instance with a fully-qualified domain name,
    `void` | `delete()` Delete the private key and certificate files.
    `PemKeyCertOptions` | `keyCertOptions()` Provides the `KeyCertOptions` RSA private key file in PEM format corresponding to the `privateKeyPath()`
    `String` | `privateKeyPath()` Filesystem path to the RSA private key file in PEM format
    `PemTrustOptions` | `trustOptions()` Provides the `TrustOptions` X.509 certificate file in PEM format corresponding to the `certificatePath()`

- - ### Method Detail

    - #### keyCertOptions

          PemKeyCertOptions keyCertOptions()

      Provides the `KeyCertOptions` RSA private key file in PEM format corresponding to the `privateKeyPath()`
      Returns:
        a `PemKeyCertOptions` based on the generated certificate.

    - #### trustOptions

          PemTrustOptions trustOptions()

      Provides the `TrustOptions` X.509 certificate file in PEM format corresponding to the `certificatePath()`
      Returns:
        a `PemTrustOptions` based on the generated certificate.

    - #### privateKeyPath

          String privateKeyPath()

      Filesystem path to the RSA private key file in PEM format
      Returns:
        the absolute path to the private key.

    - #### certificatePath

          String certificatePath()

      Filesystem path to the X.509 certificate file in PEM format .
      Returns:
        the absolute path to the certificate.

    - #### delete

          void delete()

      Delete the private key and certificate files.

    - #### create

          static SelfSignedCertificate create()

      Create a new `SelfSignedCertificate` instance.
      Returns:
        a new instance.

    - #### create

          static SelfSignedCertificate create(String fqdn)

      Create a new `SelfSignedCertificate` instance with a fully-qualified domain name,
      Parameters:
        `fqdn` - a fully qualified domain name.
      Returns:
        a new instance.

Copyright © 2022 Eclipse. All rights reserved.